%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Tk
Version:       804.036
Release:       2mamba
Summary:       Graphical User Interface ToolKit module for Perl
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/S/SR/SREZIC/Tk-%{version}.tar.gz
License:       GPL, Artistic, BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXft-devel
BuildRequires: libfontconfig-devel
BuildRequires: libjpeg-devel
BuildRequires: libnsl-devel
BuildRequires: libperl
BuildRequires: libpng-devel
BuildRequires: libz-devel
BuildRequires: perl-Encode
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Provides:      perl(Tk::LabRadio)
Provides:      perl(Tk::TextReindex)
Provides:      perl(Tk::MMtry)
Requires:      perl >= %perl_major_ver

%description
This a re-port of a perl interface to Tk. C code is derived from Tcl/Tk.
It also includes all the C code parts of Tix8.1.4 from SourceForge.
The perl code corresponding to Tix's Tcl code is not fully implemented.

Perl API is essentially the same as Tk800 series Tk800.025 but has not been verified as compliant. There ARE differences see pod/804delta.pod.

%prep
%setup -q -n Tk-%{version}
# make the perl calls FHS-2.2 compliants
find . -type f -exec sed -i '
   s@!/usr/local/bin/perl@!/usr/bin/perl@g
   s@!/bin/perl@!/usr/bin/perl@g' {} \;

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)
%doc COPYING pTk/license.terms pTk/Tix.license

%changelog
* Sun Apr 16 2023 Sdk Build System <sdk@mambasoft.it> 804.036-2mamba
- rebuilt with perl 5.36.0

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 804.036-1mamba
- automatic version update by autodist

* Sat May 02 2020 Automatic Build System <autodist@mambasoft.it> 804.035-1mamba
- automatic update by autodist

* Sat Oct 28 2017 Automatic Build System <autodist@mambasoft.it> 804.034-1mamba
- automatic update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 804.033-2mamba
- rebuilt with perl 5.24

* Sat Mar 21 2015 Automatic Build System <autodist@mambasoft.it> 804.033-1mamba
- automatic update by autodist

* Fri Feb 06 2015 Automatic Build System <autodist@mambasoft.it> 804.032_501-1mamba
- automatic update by autodist

* Fri Dec 05 2014 Automatic Build System <autodist@mambasoft.it> 804.032_500-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 804.032-1mamba
- automatic update by autodist

* Fri Nov 22 2013 Automatic Build System <autodist@mambasoft.it> 804.031_501-1mamba
- automatic update by autodist

* Sun May 26 2013 Automatic Build System <autodist@mambasoft.it> 804.031-1mamba
- automatic version update by autodist

* Thu Nov 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 804.030-1mamba
- update to 804.030

* Fri Jul 01 2011 Automatic Build System <autodist@mambasoft.it> 804.029_500-1mamba
- automatic update by autodist

* Thu Nov 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 804.029-1mamba
- update to 804.029

* Tue Feb 02 2010 Automatic Build System <autodist@mambasoft.it> 804.028_502-1mamba
- automatic update by autodist

* Thu Jul 09 2009 Automatic Build System <autodist@mambasoft.it> 804.028_501-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 804.028-2mamba
- automatic rebuild by autodist

* Sun Sep 14 2008 gil <puntogil@libero.it> 804.028-1mamba
- update to 804.028

* Thu Dec 21 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 804.027-1qilnx
- update to version 804.027 by autospec

* Fri Jan 13 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 800.025-6qilnx
- specfile updated and fixed
- fixed license

* Wed Jan 19 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 800.025-5qilnx
- added missing requirements for perl packages

* Tue Jul 20 2004 Davide Madrisan <davide.madrisan@qilinux.it> 800.025-4qilnx
- specfile now perl version indipendent

* Wed Jan 07 2004 Davide Madrisan <davide.madrisan@qilinux.it> 800.025-3qilnx
- rebuilt with perl 5.8.2

* Tue Dec 30 2003 Davide Madrisan <davide.madrisan@qilinux.it> 800.025-2qilnx
- specfile updated
- rebuilt with perl 5.8.1

* Tue Oct 07 2003 Davide Madrisan <davide.madrisan@qilinux.it> 800.025-1qilnx
- first build
